Permalink
Browse files

raise minimum required PHP version to 7.1.0, fixes #143

Originally it was planned to drop support for PHP 5.x only, but as
PHP 7.0 is nearing its end of life as well and the next major release
of vfsStream is still quite a bit away I decided to jump straight
to requiring 7.1.0.

Also updated dependencies:

 - symfony/yaml updated from v2.7.5 to v3.3.9
   See changes: symfony/yaml@v2.7.5...v3.3.9
   Release notes: https://github.com/symfony/yaml/releases/tag/v3.3.9

 - sebastian/global-state updated from 1.0.0 to 1.1.1
   See changes: sebastianbergmann/global-state@1.0.0...1.1.1
   Release notes: https://github.com/sebastianbergmann/global-state/releases/tag/1.1.1

 - sebastian/recursion-context updated from 1.0.1 to 1.0.5
   See changes: sebastianbergmann/recursion-context@1.0.1...1.0.5
   Release notes: https://github.com/sebastianbergmann/recursion-context/releases/tag/1.0.5

 - sebastian/exporter updated from 1.2.1 to 1.2.2
   See changes: sebastianbergmann/exporter@1.2.1...1.2.2
   Release notes: https://github.com/sebastianbergmann/exporter/releases/tag/1.2.2

 - sebastian/environment updated from 1.3.2 to 1.3.8
   See changes: sebastianbergmann/environment@1.3.2...1.3.8
   Release notes: https://github.com/sebastianbergmann/environment/releases/tag/1.3.8

 - sebastian/diff updated from 1.3.0 to 1.4.3
   See changes: sebastianbergmann/diff@1.3.0...1.4.3
   Release notes: https://github.com/sebastianbergmann/diff/releases/tag/1.4.3

 - sebastian/comparator updated from 1.2.0 to 1.2.4
   See changes: sebastianbergmann/comparator@1.2.0...1.2.4
   Release notes: https://github.com/sebastianbergmann/comparator/releases/tag/1.2.4

 - doctrine/instantiator updated from 1.0.5 to 1.1.0
   See changes: doctrine/instantiator@1.0.5...1.1.0
   Release notes: https://github.com/doctrine/instantiator/releases/tag/1.1.0

 - phpunit/php-timer updated from 1.0.7 to 1.0.9
   See changes: sebastianbergmann/php-timer@1.0.7...1.0.9
   Release notes: https://github.com/sebastianbergmann/php-timer/releases/tag/1.0.9

 - phpunit/php-file-iterator updated from 1.4.1 to 1.4.2
   See changes: sebastianbergmann/php-file-iterator@1.4.1...1.4.2
   Release notes: https://github.com/sebastianbergmann/php-file-iterator/releases/tag/1.4.2

 - phpunit/php-token-stream updated from 1.4.8 to 1.4.11
   See changes: sebastianbergmann/php-token-stream@1.4.8...1.4.11
   Release notes: https://github.com/sebastianbergmann/php-token-stream/releases/tag/1.4.11

 - phpunit/php-code-coverage updated from 2.2.3 to 2.2.4
   See changes: sebastianbergmann/php-code-coverage@2.2.3...2.2.4
   Release notes: https://github.com/sebastianbergmann/php-code-coverage/releases/tag/2.2.4

 - webmozart/assert installed in version 1.2.0
   Release notes: https://github.com/webmozart/assert/releases/tag/1.2.0

 - phpdocumentor/reflection-common installed in version 1.0.1
   Release notes: https://github.com/phpDocumentor/ReflectionCommon/releases/tag/1.0.1

 - phpdocumentor/type-resolver installed in version 0.4.0
   Release notes: https://github.com/phpDocumentor/TypeResolver/releases/tag/0.4.0

 - phpdocumentor/reflection-docblock updated from 2.0.4 to 4.1.1
   See changes: phpDocumentor/ReflectionDocBlock@2.0.4...4.1.1
   Release notes: https://github.com/phpDocumentor/ReflectionDocBlock/releases/tag/4.1.1

 - phpspec/prophecy updated from v1.5.0 to v1.7.2
   See changes: phpspec/prophecy@v1.5.0...v1.7.2
   Release notes: https://github.com/phpspec/prophecy/releases/tag/v1.7.2

 - phpunit/phpunit updated from 4.8.10 to 4.8.36
   See changes: sebastianbergmann/phpunit@4.8.10...4.8.36
   Release notes: https://github.com/sebastianbergmann/phpunit/releases/tag/4.8.36
  • Loading branch information...
mikey179 committed Sep 21, 2017
1 parent a73cb94 commit 74521544171c376aa0a4d4573a91319e2a3f3d50
Showing with 291 additions and 128 deletions.
  1. +5 −14 .travis.yml
  2. +8 −0 CHANGELOG.md
  3. +1 −1 composer.json
  4. +277 −113 composer.lock
@@ -3,29 +3,20 @@ language: php

php:
- 7.1
- 7.0
- 5.6
- 5.3
- 5.4
- 5.5
- 7.2
- nightly

matrix:
fast_finish: true
include:
# test against the latest HHVM version by using a newer image
- php: hhvm
sudo: true
dist: trusty
group: edge # Use edge image until the next travis CI stable image update
allow_failures:
- php: hhvm
- php: nightly

install:
- composer install
- composer require satooshi/php-coveralls

script:
- vendor/bin/phpunit --coverage-text

after_script:
after_success:
- composer require satooshi/php-coveralls
- travis_retry vendor/bin/coveralls
@@ -1,3 +1,11 @@
2.0.0 (20??-??-??)
------------------

### BC breaks

* raised minimum required PHP version to 7.1.0


1.6.5 (2017-08-01)
------------------

@@ -17,7 +17,7 @@
"wiki": "https://github.com/mikey179/vfsStream/wiki"
},
"require": {
"php": ">=5.3.0"
"php": "^7.1"
},
"require-dev": {
"phpunit/phpunit": "~4.5"
Oops, something went wrong.

0 comments on commit 7452154

Please sign in to comment.